Subject: Re: bug#26238: core-updates: Fix time zone bug in `date` 8.26

From: Marius Bakke <[email-masked]>
Date: Fri, 24 Mar 2017 19:42:43 +0100

Leo Famulari <[email-masked]> writes:

> After discussion on #guix, Ludovic and I decided to try grafting
> coreutils to fix a bug in `date` that breaks converting between time
> zones.
>
> https://gnunet.org/bot/log/guix/2017-03-24#T1333113
>
> But, I'm not sure how to handle coreutils-final from (gnu packages
> commencement).
>
> Any advice?

It looks like coreutils-final can e.g.
(inherit (coreutils)
         (replacement #f)).

However, I'm unable to test it since the datetime fix requires this
patch to the bundled gnulib:

https://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=4e6e16b3f43ce96302b1e52e48730c1f15e18c14

...but it doesn't apply cleanly:

"5 out of 24 hunks FAILED -- saving rejects to file lib/parse-datetime.y.rej"

Maybe we should try to graft 8.27 instead?